org.eclipse.wst.jsdt.ui.actions

## Interface IJavaEditorActionDefinitionIds

    public interface IJavaEditorActionDefinitionIds

Defines the definition IDs for the JavaScript editor actions.

This interface is not intended to be implemented or extended.

. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `ADD_BLOCK_COMMENT` Action definition ID of the source -> add block comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.block.comment"`).
`static java.lang.String` `ADD_IMPORT` Action definition ID of the source -> add import action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.import"`).
`static java.lang.String` `ADD_JAVADOC_COMMENT` Action definition ID of the source -> add javadoc comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.javadoc.comment"`).
`static java.lang.String` `ADD_UNIMPLEMENTED_CONTRUCTORS` Action definition ID of the source -> add unimplemented constructors action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.unimplemented.constructors"`).
`static java.lang.String` `CHANGE_TYPE` Action definition ID of the refactor -> change type action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.change.type"`).
`static java.lang.String` `CLEAN_UP` Action definition id of the code clean up action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.clean.up"`).
`static java.lang.String` `COMMENT` Action definition ID of the source -> comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.comment"`).
`static java.lang.String` `CONTENT_ASSIST_COMPLETE_PREFIX` Action definition ID of the edit -> content assist complete prefix action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.complete.prefix"`).
`static java.lang.String` `CONVERT_ANONYMOUS_TO_NESTED` Action definition ID of the refactor -> convert anonymous to nested action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.convert.anonymous.to.nested"`).
`static java.lang.String` `CREATE_DELEGATE_METHODS` Action definition ID of the source -> generate delegates action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.delegate.methods"`).
`static java.lang.String` `CREATE_GETTER_SETTER` Action definition ID of the source -> generate setter/getter action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.getter.setter"`).
`static java.lang.String` `EXTERNALIZE_STRINGS` Action definition ID of the source -> externalize strings action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.externalize.strings"`).
`static java.lang.String` `EXTRACT_CONSTANT` Action definition ID of the refactor -> extract constant action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.constant"`).
`static java.lang.String` `EXTRACT_INTERFACE` Action definition ID of the refactor -> extract interface action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.interface"`).
`static java.lang.String` `EXTRACT_LOCAL_VARIABLE` Action definition ID of the refactor -> extract local variable action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.local.variable"`).
`static java.lang.String` `EXTRACT_METHOD` Action definition ID of the refactor -> extract method action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.method"`).
`static java.lang.String` `FOLDING_COLLAPSE_COMMENTS` Action definition id of the collapse comments action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.folding.collapseComments"`).
`static java.lang.String` `FOLDING_COLLAPSE_MEMBERS` Action definition id of the collapse members action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.folding.collapseMembers"`).
`static java.lang.String` `FORMAT` Action definition ID of the source -> format action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.format"`).
`static java.lang.String` `GENERATE_CONSTRUCTOR_USING_FIELDS` Action definition ID of the source ->generate constructor using fields action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.generate.constructor.using.fields"`).
`static java.lang.String` `GENERATE_HASHCODE_EQUALS` Action definition ID of the source ->generate hashcode() and equals() action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.generate.hashcode.equals"`).
`static java.lang.String` `GOTO_MATCHING_BRACKET` Action definition ID of the edit -> go to matching bracket action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.matching.bracket"`).
`static java.lang.String` `GOTO_NEXT_MEMBER` Action definition ID of the edit -> go to next member action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.next.member"`).
`static java.lang.String` `GOTO_PREVIOUS_MEMBER` Action definition ID of the edit -> go to previous member action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.previous.member"`).
`static java.lang.String` `INDENT` Action definition ID of the source -> indent action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.indent"`).
`static java.lang.String` `INFER_TYPE_ARGUMENTS_ACTION` Action definition ID of the refactor -> infer generic type arguments action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.infer.type.arguments"`).
`static java.lang.String` `INLINE` Action definition ID of the refactor -> inline action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.inline"`).
`static java.lang.String` `INTRODUCE_FACTORY` Action definition ID of the refactor -> introduce factory action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.introduce.factory"`).
`static java.lang.String` `INTRODUCE_INDIRECTION` Action definition ID of the refactor -> introduce indirection action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.indirection"`).
`static java.lang.String` `INTRODUCE_PARAMETER` Action definition ID of the refactor -> introduce parameter action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.introduce.parameter"`).
`static java.lang.String` `MODIFY_METHOD_PARAMETERS` Action definition ID of the refactor -> modify method parameters action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.modify.method.parameters"`).
`static java.lang.String` `MOVE_ELEMENT` Action definition ID of the refactor -> move element action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.move.element"`).
`static java.lang.String` `MOVE_INNER_TO_TOP` Action definition ID of the refactor -> move inner type to top level action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.move.inner.to.top.level"`).
`static java.lang.String` `OPEN_CALL_HIERARCHY` Action definition ID of the navigate -> open call hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.org.eclipse.wst.jsdt.ui.edit.text.java.open.call.hierarchy"`).
`static java.lang.String` `OPEN_EDITOR` Action definition ID of the navigate -> open action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.editor"`).
`static java.lang.String` `OPEN_EXTERNAL_JAVADOC` Action definition ID of the navigate -> open external javadoc action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.external.javadoc"`).
`static java.lang.String` `OPEN_HIERARCHY` Action definition ID of the navigate -> Show Hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.hierarchy"`).
`static java.lang.String` `OPEN_STRUCTURE` Action definition ID of the Navigate -> Open Structure action (value `"org.eclipse.wst.jsdt.ui.navigate.java.open.structure"`).
`static java.lang.String` `OPEN_SUPER_IMPLEMENTATION` Action definition ID of the navigate -> open super implementation action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.super.implementation"`).
`static java.lang.String` `OPEN_TYPE_HIERARCHY` Action definition ID of the navigate -> open type hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.org.eclipse.wst.jsdt.ui.edit.text.java.open.type.hierarchy"`).
`static java.lang.String` `ORGANIZE_IMPORTS` Action definition ID of the source -> organize imports action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.organize.imports"`).
`static java.lang.String` `OVERRIDE_METHODS` Action definition ID of the source -> override methods action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.override.methods"`).
`static java.lang.String` `PROMOTE_LOCAL_VARIABLE` Action definition ID of the refactor -> promote local variable action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.promote.local.variable"`).
`static java.lang.String` `PULL_UP` Action definition ID of the refactor -> pull up action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.pull.up"`).
`static java.lang.String` `PUSH_DOWN` Action definition ID of the refactor -> push down action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.push.down"`).
`static java.lang.String` `QUICK_FORMAT` Action definition id of the JavaScript quick format action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.quick.format"`).
`static java.lang.String` `REMOVE_BLOCK_COMMENT` Action definition ID of the source -> remove block comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.remove.block.comment"`).
`static java.lang.String` `REMOVE_OCCURRENCE_ANNOTATIONS` Action definition ID of the remove occurrence annotations action (value `"org.eclipse.wst.jsdt.ui.edit.text.remove.occurrence.annotations"`).
`static java.lang.String` `RENAME_ELEMENT` Action definition ID of the refactor -> rename element action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.rename.element"`).
`static java.lang.String` `REPLACE_INVOCATIONS` Action definition ID of the refactor -> replace invocations action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.replace.invocations"`).
`static java.lang.String` `SEARCH_DECLARATIONS_IN_HIERARCHY` Action definition ID of the search -> declarations in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.hierarchy"`).
`static java.lang.String` `SEARCH_DECLARATIONS_IN_PROJECTS` Action definition ID of the search -> declarations in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.project"`).
`static java.lang.String` `SEARCH_DECLARATIONS_IN_WORKING_SET` Action definition ID of the search -> declarations in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.working.set"`).
`static java.lang.String` `SEARCH_DECLARATIONS_IN_WORKSPACE` Action definition ID of the search -> declarations in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.workspace"`).
`static java.lang.String` `SEARCH_EXCEPTION_OCCURRENCES_IN_FILE` Action definition ID of the search -> occurrences in file > exceptions action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.exception.occurrences"`).
`static java.lang.String` `SEARCH_IMPLEMENT_OCCURRENCES_IN_FILE` Action definition ID of the search -> occurrences in file > implements action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implement.occurrences"`).
`static java.lang.String` `SEARCH_IMPLEMENTORS_IN_PROJECT` Action definition ID of the search -> implementors in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.project"`).
`static java.lang.String` `SEARCH_IMPLEMENTORS_IN_WORKING_SET` Action definition ID of the search -> implementors in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.working.set"`).
`static java.lang.String` `SEARCH_IMPLEMENTORS_IN_WORKSPACE` Action definition ID of the search -> implementors in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.workspace"`).
`static java.lang.String` `SEARCH_OCCURRENCES_IN_FILE` Action definition ID of the search -> occurrences in file > elements action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.occurrences.in.file"`).
`static java.lang.String` `SEARCH_OCCURRENCES_IN_FILE_QUICK_MENU` Action definition ID of the search -> occurrences in file quick menu action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.occurrences.in.file.quickMenu"`).
`static java.lang.String` `SEARCH_READ_ACCESS_IN_HIERARCHY` Action definition ID of the search -> read access in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.hierarchy"`).
`static java.lang.String` `SEARCH_READ_ACCESS_IN_PROJECT` Action definition ID of the search -> read access in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.project"`).
`static java.lang.String` `SEARCH_READ_ACCESS_IN_WORKING_SET` Action definition ID of the search -> read access in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.working.set"`).
`static java.lang.String` `SEARCH_READ_ACCESS_IN_WORKSPACE` Action definition ID of the search -> read access in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.workspace"`).
`static java.lang.String` `SEARCH_REFERENCES_IN_HIERARCHY` Action definition ID of the search -> references in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.hierarchy"`).
`static java.lang.String` `SEARCH_REFERENCES_IN_PROJECT` Action definition ID of the search -> references in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.project"`).
`static java.lang.String` `SEARCH_REFERENCES_IN_WORKING_SET` Action definition ID of the search -> references in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.working.set"`).
`static java.lang.String` `SEARCH_REFERENCES_IN_WORKSPACE` Action definition ID of the search -> references in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.workspace"`).
`static java.lang.String` `SEARCH_WRITE_ACCESS_IN_HIERARCHY` Action definition ID of the search -> write access in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.hierarchy"`).
`static java.lang.String` `SEARCH_WRITE_ACCESS_IN_PROJECT` Action definition ID of the search -> write access in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.project"`).
`static java.lang.String` `SEARCH_WRITE_ACCESS_IN_WORKING_SET` Action definition ID of the search -> write access in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.working.set"`).
`static java.lang.String` `SEARCH_WRITE_ACCESS_IN_WORKSPACE` Action definition ID of the search -> write access in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.workspace"`).
`static java.lang.String` `SELECT_ENCLOSING` Action definition ID of the edit -> select enclosing action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.enclosing"`).
`static java.lang.String` `SELECT_LAST` Action definition ID of the edit -> select restore last action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.last"`).
`static java.lang.String` `SELECT_NEXT` Action definition ID of the edit -> select next action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.next"`).
`static java.lang.String` `SELECT_PREVIOUS` Action definition ID of the edit -> select previous action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.previous"`).
`static java.lang.String` `SELF_ENCAPSULATE_FIELD` Action definition ID of the refactor -> self encapsulate field action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.self.encapsulate.field"`).
`static java.lang.String` `SHOW_IN_NAVIGATOR_VIEW` Action definition ID of the navigate -> show in navigator action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.in.navigator.view"`).
`static java.lang.String` `SHOW_IN_PACKAGE_VIEW` Action definition ID of the navigate -> show in package explorer action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.in.package.view"`).
`static java.lang.String` `SHOW_OUTLINE` Action definition ID of the navigate -> Show Outline action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.outline"`).
`static java.lang.String` `SORT_MEMBERS` Action definition ID of the source -> sort order action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.sort.members"`).
`static java.lang.String` `SURROUND_WITH_TRY_CATCH` Action definition ID of the source -> surround with try/catch action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.surround.with.try.catch"`).
`static java.lang.String` `TOGGLE_COMMENT` Action definition ID of the source -> toggle comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.toggle.comment"`).
`static java.lang.String` `TOGGLE_MARK_OCCURRENCES` Action definition id of toggle mark occurrences action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.toggleMarkOccurrences"`).
`static java.lang.String` `TOGGLE_SMART_TYPING` Action definition ID of the edit -> smart typing action (value `"org.eclipse.wst.jsdt.smartTyping.toggle"`).
`static java.lang.String` `TOGGLE_TEXT_HOVER` Action definition ID of the toggle text hover tool bar button action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.toggle.text.hover"`).
`static java.lang.String` `UNCOMMENT` Action definition ID of the source -> uncomment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.uncomment"`).
`static java.lang.String` `USE_SUPERTYPE` Action definition ID of the refactor -> use supertype action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.use.supertype"`).

### Field Detail

#### TOGGLE_SMART_TYPING

    static final java.lang.String TOGGLE_SMART_TYPING

Action definition ID of the edit -> smart typing action (value `"org.eclipse.wst.jsdt.smartTyping.toggle"`).

See Also:
  Constant Field Values

#### GOTO_MATCHING_BRACKET

    static final java.lang.String GOTO_MATCHING_BRACKET

Action definition ID of the edit -> go to matching bracket action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.matching.bracket"`).

See Also:
  Constant Field Values

#### GOTO_NEXT_MEMBER

    static final java.lang.String GOTO_NEXT_MEMBER

Action definition ID of the edit -> go to next member action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.next.member"`).

See Also:
  Constant Field Values

#### GOTO_PREVIOUS_MEMBER

    static final java.lang.String GOTO_PREVIOUS_MEMBER

Action definition ID of the edit -> go to previous member action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.goto.previous.member"`).

See Also:
  Constant Field Values

#### SELECT_ENCLOSING

    static final java.lang.String SELECT_ENCLOSING

Action definition ID of the edit -> select enclosing action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.enclosing"`).

See Also:
  Constant Field Values

#### SELECT_NEXT

    static final java.lang.String SELECT_NEXT

Action definition ID of the edit -> select next action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.next"`).

See Also:
  Constant Field Values

#### SELECT_PREVIOUS

    static final java.lang.String SELECT_PREVIOUS

Action definition ID of the edit -> select previous action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.previous"`).

See Also:
  Constant Field Values

#### SELECT_LAST

    static final java.lang.String SELECT_LAST

Action definition ID of the edit -> select restore last action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.select.last"`).

See Also:
  Constant Field Values

#### CONTENT_ASSIST_COMPLETE_PREFIX

    static final java.lang.String CONTENT_ASSIST_COMPLETE_PREFIX

Action definition ID of the edit -> content assist complete prefix action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.complete.prefix"`).

See Also:
  Constant Field Values

#### SHOW_OUTLINE

    static final java.lang.String SHOW_OUTLINE

Action definition ID of the navigate -> Show Outline action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.outline"`).

See Also:
  Constant Field Values

#### OPEN_HIERARCHY

    static final java.lang.String OPEN_HIERARCHY

Action definition ID of the navigate -> Show Hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.hierarchy"`).

See Also:
  Constant Field Values

#### OPEN_STRUCTURE

    static final java.lang.String OPEN_STRUCTURE

Action definition ID of the Navigate -> Open Structure action (value `"org.eclipse.wst.jsdt.ui.navigate.java.open.structure"`).

See Also:
  Constant Field Values

#### COMMENT

    static final java.lang.String COMMENT

Action definition ID of the source -> comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.comment"`).

See Also:
  Constant Field Values

#### UNCOMMENT

    static final java.lang.String UNCOMMENT

Action definition ID of the source -> uncomment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.uncomment"`).

See Also:
  Constant Field Values

#### TOGGLE_COMMENT

    static final java.lang.String TOGGLE_COMMENT

Action definition ID of the source -> toggle comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.toggle.comment"`).

See Also:
  Constant Field Values

#### ADD_BLOCK_COMMENT

    static final java.lang.String ADD_BLOCK_COMMENT

Action definition ID of the source -> add block comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.block.comment"`).

See Also:
  Constant Field Values

#### REMOVE_BLOCK_COMMENT

    static final java.lang.String REMOVE_BLOCK_COMMENT

Action definition ID of the source -> remove block comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.remove.block.comment"`).

See Also:
  Constant Field Values

#### INDENT

    static final java.lang.String INDENT

Action definition ID of the source -> indent action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.indent"`).

See Also:
  Constant Field Values

#### FORMAT

    static final java.lang.String FORMAT

Action definition ID of the source -> format action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.format"`).

See Also:
  Constant Field Values

#### QUICK_FORMAT

    static final java.lang.String QUICK_FORMAT

Action definition id of the JavaScript quick format action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.quick.format"`).

See Also:
  Constant Field Values

#### ADD_IMPORT

    static final java.lang.String ADD_IMPORT

Action definition ID of the source -> add import action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.import"`).

See Also:
  Constant Field Values

#### ORGANIZE_IMPORTS

    static final java.lang.String ORGANIZE_IMPORTS

Action definition ID of the source -> organize imports action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.organize.imports"`).

See Also:
  Constant Field Values

#### SORT_MEMBERS

    static final java.lang.String SORT_MEMBERS

Action definition ID of the source -> sort order action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.sort.members"`).

See Also:
  Constant Field Values

#### ADD_JAVADOC_COMMENT

    static final java.lang.String ADD_JAVADOC_COMMENT

Action definition ID of the source -> add javadoc comment action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.javadoc.comment"`).

See Also:
  Constant Field Values

#### SURROUND_WITH_TRY_CATCH

    static final java.lang.String SURROUND_WITH_TRY_CATCH

Action definition ID of the source -> surround with try/catch action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.surround.with.try.catch"`).

See Also:
  Constant Field Values

#### OVERRIDE_METHODS

    static final java.lang.String OVERRIDE_METHODS

Action definition ID of the source -> override methods action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.override.methods"`).

See Also:
  Constant Field Values

#### ADD_UNIMPLEMENTED_CONTRUCTORS

    static final java.lang.String ADD_UNIMPLEMENTED_CONTRUCTORS

Action definition ID of the source -> add unimplemented constructors action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.add.unimplemented.constructors"`).

See Also:
  Constant Field Values

#### GENERATE_CONSTRUCTOR_USING_FIELDS

    static final java.lang.String GENERATE_CONSTRUCTOR_USING_FIELDS

Action definition ID of the source ->generate constructor using fields action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.generate.constructor.using.fields"`).

See Also:
  Constant Field Values

#### GENERATE_HASHCODE_EQUALS

    static final java.lang.String GENERATE_HASHCODE_EQUALS

Action definition ID of the source ->generate hashcode() and equals() action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.generate.hashcode.equals"`).

See Also:
  Constant Field Values

#### CREATE_GETTER_SETTER

    static final java.lang.String CREATE_GETTER_SETTER

Action definition ID of the source -> generate setter/getter action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.getter.setter"`).

See Also:
  Constant Field Values

#### CREATE_DELEGATE_METHODS

    static final java.lang.String CREATE_DELEGATE_METHODS

Action definition ID of the source -> generate delegates action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.delegate.methods"`).

See Also:
  Constant Field Values

#### EXTERNALIZE_STRINGS

    static final java.lang.String EXTERNALIZE_STRINGS

Action definition ID of the source -> externalize strings action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.externalize.strings"`).

See Also:
  Constant Field Values

#### PULL_UP

    static final java.lang.String PULL_UP

Action definition ID of the refactor -> pull up action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.pull.up"`).

See Also:
  Constant Field Values

#### PUSH_DOWN

    static final java.lang.String PUSH_DOWN

Action definition ID of the refactor -> push down action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.push.down"`).

See Also:
  Constant Field Values

#### RENAME_ELEMENT

    static final java.lang.String RENAME_ELEMENT

Action definition ID of the refactor -> rename element action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.rename.element"`).

See Also:
  Constant Field Values

#### MODIFY_METHOD_PARAMETERS

    static final java.lang.String MODIFY_METHOD_PARAMETERS

Action definition ID of the refactor -> modify method parameters action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.modify.method.parameters"`).

See Also:
  Constant Field Values

#### MOVE_ELEMENT

    static final java.lang.String MOVE_ELEMENT

Action definition ID of the refactor -> move element action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.move.element"`).

See Also:
  Constant Field Values

#### EXTRACT_LOCAL_VARIABLE

    static final java.lang.String EXTRACT_LOCAL_VARIABLE

Action definition ID of the refactor -> extract local variable action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.local.variable"`).

See Also:
  Constant Field Values

#### EXTRACT_CONSTANT

    static final java.lang.String EXTRACT_CONSTANT

Action definition ID of the refactor -> extract constant action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.constant"`).

See Also:
  Constant Field Values

#### INTRODUCE_PARAMETER

    static final java.lang.String INTRODUCE_PARAMETER

Action definition ID of the refactor -> introduce parameter action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.introduce.parameter"`).

See Also:
  Constant Field Values

#### INTRODUCE_FACTORY

    static final java.lang.String INTRODUCE_FACTORY

Action definition ID of the refactor -> introduce factory action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.introduce.factory"`).

See Also:
  Constant Field Values

#### SELF_ENCAPSULATE_FIELD

    static final java.lang.String SELF_ENCAPSULATE_FIELD

Action definition ID of the refactor -> self encapsulate field action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.self.encapsulate.field"`).

See Also:
  Constant Field Values

#### EXTRACT_METHOD

    static final java.lang.String EXTRACT_METHOD

Action definition ID of the refactor -> extract method action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.method"`).

See Also:
  Constant Field Values

#### INLINE

    static final java.lang.String INLINE

Action definition ID of the refactor -> inline action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.inline"`).

See Also:
  Constant Field Values

#### REPLACE_INVOCATIONS

    static final java.lang.String REPLACE_INVOCATIONS

Action definition ID of the refactor -> replace invocations action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.replace.invocations"`).

See Also:
  Constant Field Values

#### INTRODUCE_INDIRECTION

    static final java.lang.String INTRODUCE_INDIRECTION

Action definition ID of the refactor -> introduce indirection action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.create.indirection"`).

See Also:
  Constant Field Values

#### EXTRACT_INTERFACE

    static final java.lang.String EXTRACT_INTERFACE

Action definition ID of the refactor -> extract interface action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.extract.interface"`).

See Also:
  Constant Field Values

#### CHANGE_TYPE

    static final java.lang.String CHANGE_TYPE

Action definition ID of the refactor -> change type action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.change.type"`).

See Also:
  Constant Field Values

#### MOVE_INNER_TO_TOP

    static final java.lang.String MOVE_INNER_TO_TOP

Action definition ID of the refactor -> move inner type to top level action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.move.inner.to.top.level"`).

See Also:
  Constant Field Values

#### USE_SUPERTYPE

    static final java.lang.String USE_SUPERTYPE

Action definition ID of the refactor -> use supertype action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.use.supertype"`).

See Also:
  Constant Field Values

#### INFER_TYPE_ARGUMENTS_ACTION

    static final java.lang.String INFER_TYPE_ARGUMENTS_ACTION

Action definition ID of the refactor -> infer generic type arguments action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.infer.type.arguments"`).

See Also:
  Constant Field Values

#### PROMOTE_LOCAL_VARIABLE

    static final java.lang.String PROMOTE_LOCAL_VARIABLE

Action definition ID of the refactor -> promote local variable action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.promote.local.variable"`).

See Also:
  Constant Field Values

#### CONVERT_ANONYMOUS_TO_NESTED

    static final java.lang.String CONVERT_ANONYMOUS_TO_NESTED

Action definition ID of the refactor -> convert anonymous to nested action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.convert.anonymous.to.nested"`).

See Also:
  Constant Field Values

#### OPEN_EDITOR

    static final java.lang.String OPEN_EDITOR

Action definition ID of the navigate -> open action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.editor"`).

See Also:
  Constant Field Values

#### OPEN_SUPER_IMPLEMENTATION

    static final java.lang.String OPEN_SUPER_IMPLEMENTATION

Action definition ID of the navigate -> open super implementation action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.super.implementation"`).

See Also:
  Constant Field Values

#### OPEN_EXTERNAL_JAVADOC

    static final java.lang.String OPEN_EXTERNAL_JAVADOC

Action definition ID of the navigate -> open external javadoc action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.open.external.javadoc"`).

See Also:
  Constant Field Values

#### OPEN_TYPE_HIERARCHY

    static final java.lang.String OPEN_TYPE_HIERARCHY

Action definition ID of the navigate -> open type hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.org.eclipse.wst.jsdt.ui.edit.text.java.open.type.hierarchy"`).

See Also:
  Constant Field Values

#### OPEN_CALL_HIERARCHY

    static final java.lang.String OPEN_CALL_HIERARCHY

Action definition ID of the navigate -> open call hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.org.eclipse.wst.jsdt.ui.edit.text.java.open.call.hierarchy"`).

See Also:
  Constant Field Values

#### SHOW_IN_PACKAGE_VIEW

    static final java.lang.String SHOW_IN_PACKAGE_VIEW

Action definition ID of the navigate -> show in package explorer action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.in.package.view"`).

See Also:
  Constant Field Values

#### SHOW_IN_NAVIGATOR_VIEW

    static final java.lang.String SHOW_IN_NAVIGATOR_VIEW

Action definition ID of the navigate -> show in navigator action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.show.in.navigator.view"`).

See Also:
  Constant Field Values

#### SEARCH_REFERENCES_IN_WORKSPACE

    static final java.lang.String SEARCH_REFERENCES_IN_WORKSPACE

Action definition ID of the search -> references in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.workspace"`).

See Also:
  Constant Field Values

#### SEARCH_REFERENCES_IN_PROJECT

    static final java.lang.String SEARCH_REFERENCES_IN_PROJECT

Action definition ID of the search -> references in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.project"`).

See Also:
  Constant Field Values

#### SEARCH_REFERENCES_IN_HIERARCHY

    static final java.lang.String SEARCH_REFERENCES_IN_HIERARCHY

Action definition ID of the search -> references in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.hierarchy"`).

See Also:
  Constant Field Values

#### SEARCH_REFERENCES_IN_WORKING_SET

    static final java.lang.String SEARCH_REFERENCES_IN_WORKING_SET

Action definition ID of the search -> references in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.references.in.working.set"`).

See Also:
  Constant Field Values

#### SEARCH_READ_ACCESS_IN_WORKSPACE

    static final java.lang.String SEARCH_READ_ACCESS_IN_WORKSPACE

Action definition ID of the search -> read access in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.workspace"`).

See Also:
  Constant Field Values

#### SEARCH_READ_ACCESS_IN_PROJECT

    static final java.lang.String SEARCH_READ_ACCESS_IN_PROJECT

Action definition ID of the search -> read access in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.project"`).

See Also:
  Constant Field Values

#### SEARCH_READ_ACCESS_IN_HIERARCHY

    static final java.lang.String SEARCH_READ_ACCESS_IN_HIERARCHY

Action definition ID of the search -> read access in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.hierarchy"`).

See Also:
  Constant Field Values

#### SEARCH_READ_ACCESS_IN_WORKING_SET

    static final java.lang.String SEARCH_READ_ACCESS_IN_WORKING_SET

Action definition ID of the search -> read access in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.read.access.in.working.set"`).

See Also:
  Constant Field Values

#### SEARCH_WRITE_ACCESS_IN_WORKSPACE

    static final java.lang.String SEARCH_WRITE_ACCESS_IN_WORKSPACE

Action definition ID of the search -> write access in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.workspace"`).

See Also:
  Constant Field Values

#### SEARCH_WRITE_ACCESS_IN_PROJECT

    static final java.lang.String SEARCH_WRITE_ACCESS_IN_PROJECT

Action definition ID of the search -> write access in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.project"`).

See Also:
  Constant Field Values

#### SEARCH_WRITE_ACCESS_IN_HIERARCHY

    static final java.lang.String SEARCH_WRITE_ACCESS_IN_HIERARCHY

Action definition ID of the search -> write access in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.hierarchy"`).

See Also:
  Constant Field Values

#### SEARCH_WRITE_ACCESS_IN_WORKING_SET

    static final java.lang.String SEARCH_WRITE_ACCESS_IN_WORKING_SET

Action definition ID of the search -> write access in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.write.access.in.working.set"`).

See Also:
  Constant Field Values

#### SEARCH_DECLARATIONS_IN_WORKSPACE

    static final java.lang.String SEARCH_DECLARATIONS_IN_WORKSPACE

Action definition ID of the search -> declarations in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.workspace"`).

See Also:
  Constant Field Values

#### SEARCH_DECLARATIONS_IN_PROJECTS

    static final java.lang.String SEARCH_DECLARATIONS_IN_PROJECTS

Action definition ID of the search -> declarations in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.project"`).

See Also:
  Constant Field Values

#### SEARCH_DECLARATIONS_IN_HIERARCHY

    static final java.lang.String SEARCH_DECLARATIONS_IN_HIERARCHY

Action definition ID of the search -> declarations in hierarchy action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.hierarchy"`).

See Also:
  Constant Field Values

#### SEARCH_DECLARATIONS_IN_WORKING_SET

    static final java.lang.String SEARCH_DECLARATIONS_IN_WORKING_SET

Action definition ID of the search -> declarations in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.declarations.in.working.set"`).

See Also:
  Constant Field Values

#### SEARCH_IMPLEMENTORS_IN_WORKSPACE

    static final java.lang.String SEARCH_IMPLEMENTORS_IN_WORKSPACE

Action definition ID of the search -> implementors in workspace action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.workspace"`).

See Also:
  Constant Field Values

#### SEARCH_IMPLEMENTORS_IN_WORKING_SET

    static final java.lang.String SEARCH_IMPLEMENTORS_IN_WORKING_SET

Action definition ID of the search -> implementors in working set action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.working.set"`).

See Also:
  Constant Field Values

#### SEARCH_IMPLEMENTORS_IN_PROJECT

    static final java.lang.String SEARCH_IMPLEMENTORS_IN_PROJECT

Action definition ID of the search -> implementors in project action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implementors.in.project"`).

See Also:
  Constant Field Values

#### SEARCH_OCCURRENCES_IN_FILE_QUICK_MENU

    static final java.lang.String SEARCH_OCCURRENCES_IN_FILE_QUICK_MENU

Action definition ID of the search -> occurrences in file quick menu action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.occurrences.in.file.quickMenu"`).

See Also:
  Constant Field Values

#### SEARCH_OCCURRENCES_IN_FILE

    static final java.lang.String SEARCH_OCCURRENCES_IN_FILE

Action definition ID of the search -> occurrences in file > elements action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.occurrences.in.file"`).

See Also:
  Constant Field Values

#### SEARCH_EXCEPTION_OCCURRENCES_IN_FILE

    static final java.lang.String SEARCH_EXCEPTION_OCCURRENCES_IN_FILE

Action definition ID of the search -> occurrences in file > exceptions action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.exception.occurrences"`).

See Also:
  Constant Field Values

#### SEARCH_IMPLEMENT_OCCURRENCES_IN_FILE

    static final java.lang.String SEARCH_IMPLEMENT_OCCURRENCES_IN_FILE

Action definition ID of the search -> occurrences in file > implements action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.search.implement.occurrences"`).

See Also:
  Constant Field Values

#### TOGGLE_TEXT_HOVER

    static final java.lang.String TOGGLE_TEXT_HOVER

Action definition ID of the toggle text hover tool bar button action (value `"org.eclipse.wst.jsdt.ui.edit.text.java.toggle.text.hover"`).

See Also:
  Constant Field Values

#### REMOVE_OCCURRENCE_ANNOTATIONS

    static final java.lang.String REMOVE_OCCURRENCE_ANNOTATIONS

Action definition ID of the remove occurrence annotations action (value `"org.eclipse.wst.jsdt.ui.edit.text.remove.occurrence.annotations"`).

See Also:
  Constant Field Values

#### TOGGLE_MARK_OCCURRENCES

    static final java.lang.String TOGGLE_MARK_OCCURRENCES

Action definition id of toggle mark occurrences action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.toggleMarkOccurrences"`).

See Also:
  Constant Field Values

#### FOLDING_COLLAPSE_MEMBERS

    static final java.lang.String FOLDING_COLLAPSE_MEMBERS

Action definition id of the collapse members action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.folding.collapseMembers"`).

See Also:
  Constant Field Values

#### FOLDING_COLLAPSE_COMMENTS

    static final java.lang.String FOLDING_COLLAPSE_COMMENTS

Action definition id of the collapse comments action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.folding.collapseComments"`).

See Also:
  Constant Field Values

#### CLEAN_UP

    static final java.lang.String CLEAN_UP

Action definition id of the code clean up action (value: `"org.eclipse.wst.jsdt.ui.edit.text.java.clean.up"`).

See Also:
  Constant Field Values